# `mysql`语法记录
## 操作数据表
> [!tip]
> 操作数据表为 `user` `order` `goods`
### 创建数据表
分别创建三个数据表`user` `order` `goods`
```mysql
create table user{
    id int(11) primary key comment 'id 主键 key',
    name varchar(30) not null comment '用户名',
    descript varchar(255) default '懒狗' comment '简介'
}
```
### 新增
### 删除
### 修改
### 查询
1. 基本查询方法,使用`select`关键字进行查询
简单查询表名为`table_name`的表
```mysql
select * from user
``` 
返回值

> [!tip]
> 该写法的查询将会返回所有字段,图省事可以用 

2. 查询限制返回字段
```mysql
select id,name,descript from user
```

